SPI_start_transaction
Prev | Up | 47.4. Transaction Management | Home | Next

## SPI_start_transaction

SPI_start_transaction — start a new transaction

## Synopsis

    void SPI_start_transaction(void)

## Description

`SPI_start_transaction` starts a new transaction. It can only be called after `SPI_commit` or `SPI_rollback`, as there is no transaction active at that point. Normally, when an SPI-using procedure is called, there is already a transaction active, so attempting to start another one before closing out the current one will result in an error.

This function can only be executed if the SPI connection has been set as nonatomic in the call to `SPI_connect_ext`.

Prev | Up | Next
SPI_rollback | Home | 47.5. Visibility of Data Changes